Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2977 - pciutils looks into bus 20 by default.
Summary: pciutils looks into bus 20 by default.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: aboot
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-23 04:49 UTC by cyeo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-25 22:36:28 UTC


Attachments (Terms of Use)

Description cyeo 1999-05-23 04:49:19 UTC
PCI Utils looks into the ?wrong? bus by default.

Here is my example...

root@zeppelin:[ /proc/bus/pci/00 ] lspci
pcilib: Cannot open /proc/bus/pci/20/00.0
lspci: Unable to read 64 bytes of configuration space.
root@zeppelin:[ /proc/bus/pci/00 ] man lspci
root@zeppelin:[ /proc/bus/pci/00 ] lspci -s 0:
00:00.0 Host bridge: Intel Corporation 430TX - 82439TX MTXC
(rev 01)
00:01.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev
01)
00:01.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE
(rev 01)
00:01.2 USB Controller: Intel Corporation 82371AB PIIX4 USB
(rev 01)
00:01.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev
01)
00:02.0 VGA compatible controller: Neomagic Corporation
NM2160 [MagicGraph 128XD]
00:0a.0 CardBus bridge: Texas Instruments PCI1131 (rev 01)
00:0a.1 CardBus bridge: Texas Instruments PCI1131 (rev 01)
r

Comment 1 Bill Nottingham 1999-05-24 14:07:59 UTC
Works fine for me here. What does your /proc/bus/pci/devices say?

------- Email Received From  "Chris Y." <cyeo@biking.org> 05/25/99 01:11 -------


Note You need to log in before you can comment on or make changes to this bug.